cdac.medinfo.sdk.hl7282.hl7model.messages.query

## Class QBP_Z95

- java.lang.Object
- - cdac.medinfo.sdk.hl7282.baselibs.messages.Message
  - - cdac.medinfo.sdk.hl7282.baselibs.messages.AbstractQuery
    - - cdac.medinfo.sdk.hl7282.hl7model.messages.query.QBP_Z95

-     public final class QBP_Z95
      extends AbstractQuery

  QBP_Z95 - Query Grammar (Event Z95). This message is use to retrieve patient pharmacy dispense history information from the Server.

  Represents a QBP_Q13 message structure (see chapter 5.3.1.2). This structure contains the following elements:

  0: MSH (Message Header) SINGLE_COMPULSARY
  1: SFT (Software Segment) MULTIPLE_OPTIONAL
  2: UAC (User Authentication Credential segment) SINGLE_OPTIONAL
  3: QPD (Query Parameter Definition) SINGLE_COMPULSARY
  4: PID (Patient Identification Segment) SINGLE_COMPULSARY
  5: RDF (Table Row Definition) SINGLE_OPTIONAL
  6: RCP (Response Control Parameter) SINGLE_COMPULSARY
  7: DSC (Continuation Pointer) SINGLE_OPTIONAL
  This class provides mechanism to validate message against HL7 v 2.5 standard. The class provides accessors & mutators for the elements mentioned above. These elements can be easily populated & populated values can be easily retrieved. The class has validate method which validates Message against HL7 v 2.5 standard.

  Following is the step to create message
  Before that, respective Message Source and Message Recipient to be set on Message Factory.

  QBP_Z95 objZ95 = (QBP_Z95)MessageFactory.createInstance().createSendSupportedMessage("QBP", "Z95");

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)` Adds the collection of Software Segment(SFT) to this message.
    `void` | `addSoftwareSegment(SFT objSFT)` Adds the Software Segment(SFT) to this message.
    `DSC` | `getContinuationPointerSegment()` Retrieves the Continuation Pointer(DSC) Segment present in this message
    `PID` | `getPatientIdentificationSegment()` Retrieves Patient Identification(PID) segment present in this message.
    `QPD` | `getQueryParameterDefinitionSegment()` Retrieves the Query Parameter Definition(QPD) Segment present in this message
    `RCP` | `getResponseControlParameterSegment()` Retrieves the Response Control Parameter(RCP) Segment present in this message
    `ISingleCollection<SFT>` | `getSoftwareSegments()` Retrieves the Collection of Software Segments(SFT) present in this message.
    `RDF` | `getTableRowDefinitionSegment()` Retrieves the Table Row Definition Segment(RDF) present in this message
    `UAC` | `getUserAuthenticationCredentialSegment()` Retrieves User Authentication Credential(UAC) segment present in this message
    `boolean` | `isQuery()` Veifies whether message is Query.
    `void` | `setContinuationPointerSegment(DSC objDSC)` Set the value of Continuation Pointer Segment for this message,overwrites if already present.
    `void` | `setPatientIdentificationSegment(PID objPID)` Sets value of PID segment for this message,overwrites if already present.
    `void` | `setQueryParameterDefinitionSegment(QPD objQPD)` Set the value of Query Parameter Definition Segment for this message,overwrites if already present.
    `void` | `setResponseControlParameterSegment(RCP objRCP)` Set the value of Query Parameter Definition Segment for this message,overwrites if already present.
    `void` | `setTableRowDefinitionSegment(RDF objRDF)` Set the value of Table Row Definition Segment for this message,overwrites if already present.
    `void` | `setUserAuthenticationCredentialSegment(UAC objUAC)` Sets value of User Authentication Credential(UAC) segment for this message, overwrites if already present.

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.AbstractQuery

      `getQueryIdentifier, getQuerySegments, isBatchRSPExpected, isCanceledQuery, isCanceledResponse, isDeferred, isInteractiveQuery, isInteractiveResponse, setIsCanceledQuery, setIsCanceledResponse, setIsInteractiveQuery, setIsInteractiveResponse`

    - ### Methods inherited from class cdac.medinfo.sdk.hl7282.baselibs.messages.Message

      `contains, dumpMessage, dumpMessage, getACKMode, getGroup, getGroupMap, getHeader, getMessageCode, getMessageControlID, getMessageStructure, getQueryUserParameters, getSegment, getSegmentSet, getSubscriptionType, getTriggerEvent, isResponse, populate, removeGroup, removeSegment, removeSegment, removeSegmentAttribute, removeSegmentAttribute, removeSegmentAttribute, removeSegments, setHeader, setSubscriptionType, updateSegmentAttribute, updateSegmentAttribute, validate, writeToXML, writeToXML`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### isQuery

          public boolean isQuery()

      Veifies whether message is Query.
      Overrides:
        `isQuery` in class `Message`
      Returns:
        boolean

    - #### getSoftwareSegments

          public ISingleCollection<SFT> getSoftwareSegments()

      Retrieves the Collection of Software Segments(SFT) present in this message.
      Returns:
        ISingleCollection - Collection of Software Segments(SFT) present in this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(SFT objSFT)

      Adds the Software Segment(SFT) to this message.
      Parameters:
        `objSFT` - Specified Software Segment(SFT) to be added in this messageto this message.

    - #### addSoftwareSegment

          public void addSoftwareSegment(ISingleCollection<SFT> objSFTSegmentCollection)

      Adds the collection of Software Segment(SFT) to this message.
      Parameters:
        `objSFTSegmentCollection` - Collection of Software Segments to add in this message

    - #### getUserAuthenticationCredentialSegment

          public UAC getUserAuthenticationCredentialSegment()

      Retrieves User Authentication Credential(UAC) segment present in this message
      Returns:
        UAC - the User Authentication Credential Segment present in this message or null if unavailable.

    - #### setUserAuthenticationCredentialSegment

          public void setUserAuthenticationCredentialSegment(UAC objUAC)

      Sets value of User Authentication Credential(UAC) segment for this message, overwrites if already present.
      Parameters:
        `objUAC` - Specified UAC Segment

    - #### getQueryParameterDefinitionSegment

          public QPD getQueryParameterDefinitionSegment()

      Retrieves the Query Parameter Definition(QPD) Segment present in this message
      Returns:
        QPD - the Query Parameter Definition Segment present in this message or null if unavailable.

    - #### setQueryParameterDefinitionSegment

          public void setQueryParameterDefinitionSegment(QPD objQPD)

      Set the value of Query Parameter Definition Segment for this message,overwrites if already present.
      Parameters:
        `objQPD` - Specified Query Parameter Definition Segment

    - #### getPatientIdentificationSegment

          public PID getPatientIdentificationSegment()

      Retrieves Patient Identification(PID) segment present in this message.
      Returns:
        PID - the Patient Identification Segment present in this message or null if unavailable.

    - #### setPatientIdentificationSegment

          public void setPatientIdentificationSegment(PID objPID)

      Sets value of PID segment for this message,overwrites if already present.
      Parameters:
        `objPID` - Specified PID Segment

    - #### getTableRowDefinitionSegment

          public RDF getTableRowDefinitionSegment()

      Retrieves the Table Row Definition Segment(RDF) present in this message
      Returns:
        RDF - the Table Row Definition Segment present in this message or null if unavailable.

    - #### setTableRowDefinitionSegment

          public void setTableRowDefinitionSegment(RDF objRDF)

      Set the value of Table Row Definition Segment for this message,overwrites if already present.
      Parameters:
        `objRDF` - Specified Table Row Definition Segment

    - #### getResponseControlParameterSegment

          public RCP getResponseControlParameterSegment()

      Retrieves the Response Control Parameter(RCP) Segment present in this message
      Returns:
        RCP - the Response Control Parameter Segment present in this message or null if unavailable.

    - #### setResponseControlParameterSegment

          public void setResponseControlParameterSegment(RCP objRCP)

      Set the value of Query Parameter Definition Segment for this message,overwrites if already present.
      Parameters:
        `objRCP` - Specified Response Control Parameter Segment

    - #### getContinuationPointerSegment

          public DSC getContinuationPointerSegment()

      Retrieves the Continuation Pointer(DSC) Segment present in this message
      Returns:
        DSC - the Continuation Pointer Segment present in this message or null if unavailable.

    - #### setContinuationPointerSegment

          public void setContinuationPointerSegment(DSC objDSC)

      Set the value of Continuation Pointer Segment for this message,overwrites if already present.
      Parameters:
        `objDSC` - Specified Continuation Pointer Segment